package com.tptj.demo.hg.excel.export.cell.value;

import com.fr.general.ComparatorUtils;
import com.fr.intelli.record.Focus;
import com.fr.invoke.Reflect;
import com.fr.log.FineLoggerFactory;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.cell.*;
import com.fr.report.cell.cellattr.PageExportCellElement;
import com.fr.report.cell.cellattr.core.group.DSColumn;
import com.fr.report.core.lkd.KMW;
import com.fr.report.core.lkd.KW;
import com.fr.stable.fun.impl.AbstractExcelExportCellValueProvider;
import com.fr.stable.script.CalculatorProvider;
import com.fr.stable.script.PropertiesMap;

import java.util.Map;
import java.util.Set;

@EnableMetrics
public class Demo extends AbstractExcelExportCellValueProvider {
    @Override
    @Focus(id="com.tptj.demo.hg.excel.export.cell.value.v10",text = "excel导出值修改demo")
    public Object getCellValue(Object cell, Object value, CalculatorProvider cal ) {
        //这个接口是被导出类包含的，所以如果是自定义过导出excel的逻辑就可能存在冲突
        FineLoggerFactory.getLogger().info("Demo ExcelExportCellValue:{}",value );
        if( ComparatorUtils.equals( "Demo ExcelExportCellValue", value )){
            return "Hello World!";
        }
        return value;
    }
}
